Skip to main content
PATCH
Update task requirement set requirements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

requirementSetId
string
required

Body

application/json
onboarding
object

Onboarding requirements to replace. Omit a requirement to leave it unchanged.

offboarding
object

Offboarding requirements to replace. Omit a requirement to leave it unchanged.

Response

200 - application/json

Task requirement set requirements updated

id
string
required

The task requirement set's unique ID.

name
string
required

The task requirement set's display name.

description
string | null
required

The task requirement set's description.

isReusable
boolean
required

Whether groups other than the one that owns this set may also apply it.

createdAt
string<date-time>
required

The date the set was created.

updatedAt
string<date-time>
required

The date the set was last updated.

taskRequirements
object
required

The onboarding and offboarding requirements the set applies to its personnel.